Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicedef
Interface SimpleFeatureConstraint

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FeatureConstraint, org.eclipse.emf.common.notify.Notifier, ValueConstraint

    public interface SimpleFeatureConstraint

extends FeatureConstraint

A representation of the model object 'Simple Feature Constraint'. [[ TODO - add documentation here ]]

The following features are supported:

- `Constraint`
- `Entity`
- `Feature`

See Also:
  `ServicedefPackage.getSimpleFeatureConstraint()`

Method Summary
`ValueConstraint` | `getConstraint()` Returns the value of the 'Constraint' containment reference
`Entity` | `getEntity()` Returns the value of the 'Entity' reference
`Feature` | `getFeature()` Returns the value of the 'Feature' reference
`void` | `setConstraint(ValueConstraint value)` Sets the value of the '`Constraint`' containment reference
`void` | `setEntity(Entity value)` Sets the value of the '`Entity`' reference
`void` | `setFeature(Feature value)` Sets the value of the '`Feature`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getConstraint

    ValueConstraint getConstraint()

  Returns the value of the 'Constraint' containment reference.

  If the meaning of the 'Constraint' containment reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Constraint' containment reference.
  See Also:
    `setConstraint(ValueConstraint)`, `ServicedefPackage.getSimpleFeatureConstraint_Constraint()`

### setConstraint

    void setConstraint(ValueConstraint value)

  Sets the value of the '`Constraint`' containment reference.

  Parameters:
    `value` - the new value of the 'Constraint' containment reference.
  See Also:
    `getConstraint()`

### getEntity

    Entity getEntity()

  Returns the value of the 'Entity' reference.

  If the meaning of the 'Entity' reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Entity' reference.
  See Also:
    `setEntity(Entity)`, `ServicedefPackage.getSimpleFeatureConstraint_Entity()`

### setEntity

    void setEntity(Entity value)

  Sets the value of the '`Entity`' reference.

  Parameters:
    `value` - the new value of the 'Entity' reference.
  See Also:
    `getEntity()`

### getFeature

    Feature getFeature()

  Returns the value of the 'Feature' reference.

  If the meaning of the 'Feature' reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Feature' reference.
  See Also:
    `setFeature(Feature)`, `ServicedefPackage.getSimpleFeatureConstraint_Feature()`

### setFeature

    void setFeature(Feature value)

  Sets the value of the '`Feature`' reference.

  Parameters:
    `value` - the new value of the 'Feature' reference.
  See Also:
    `getFeature()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD